//=============================================================================
// MPU ý 
//
// by nexp76(nexp76@naver.com)
// [system.h]
//=============================================================================

/*

*/

//-----------------------------------------------------------------------------
// UTILITY DEFINATION
#define Sbi(Port, Value)        	(Port |= Value)
#define Cbi(Port, Value)            (Port &= (~Value))
#define Tbi(Port, Value)            (Port ^= Value)

#define MSB(x)    					(((x) >> 8) & 0xFF)
#define LSB(x)    					((x) & 0xFF)
#define ABS(x)						((x<0)?x:x*=-1))

#define TRUE						1
#define FALSE						0

#define BIT0						0x01
#define BIT1						0x02
#define BIT2						0x04
#define BIT3						0x08
#define BIT4						0x10
#define BIT5						0x20
#define BIT6						0x40
#define BIT7						0x80

typedef unsigned char SINT;
typedef unsigned int UINT;
typedef char INT;
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//#define _HAL_MEGA128_UART
#define _HAL_MEGA8_UART

//#define _SYS_CLK_AT147456MHZ
//#define _SYS_CLK_AT16MHZ
#define _SYS_CLK_AT8MHZ

#include "hal_mega.h"
#include "board.h"
//-----------------------------------------------------------------------------
