//=============================================================================
// Microcontroller Serial Ʈ  API Լ
// by (nexp76@naver.com)
// [serial.h]
//=============================================================================

#ifndef _SERIAL_H_
#define _SERIAL_H_

//------------------------------------------------------------------------------
// UART Defination
//------------------------------------------------------------------------------
#define BAUD_9600							0
#define BAUD_14400							1
#define BAUD_19200							2
#define BAUD_28800							3
#define BAUD_38400							4		
#define BAUD_57600							5		
#define BAUD_76800							6		
#define BAUD_115200							7	


#ifdef _UART0_ENABLE
//-----------------------------------------------------------------------------
// USART Fuction Declaration
unsigned char U0_IsGetByte(void);
void U0_Init(unsigned char baud);
void U0_SetBaud(unsigned char baud);
unsigned char U0_GetByte(void);
void U0_PutByte(unsigned char Data);
void U0_PutBuf(unsigned char *str, unsigned char len);
#endif	//end UART0 ENABLE
//------------------------------------------------------------------------------

#ifdef _UART1_ENABLE
//-----------------------------------------------------------------------------
// USART Fuction Declaration
unsigned char U1_IsReceiveData(void);
void U1_Init(void);
//void U1_SetBaud(unsigned char baud);
unsigned char U1_GetByte(void);
void U1_PutByte(unsigned char Data);
void U1_PutStr(unsigned char *str);
void U1_PutBuf(unsigned char *str, unsigned char len);
//------------------------------------------------------------------------------
#endif	//end _UART1_ENABLE
#endif	//_SERIAL_H_