//UART0 ϱ 
#define _UART0_ENABLE

#include "..\00_hal\system.h"
#include "..\01_drv\serial.c"


//-----------------------------------------------------------------------------
// Main Routine
//-----------------------------------------------------------------------------
int main(void)
{
	SystemInit();

	Led1Init();
	Led2Init();

	Led2On();
	Led1Off();
	
	//Serial Init
	U0_Init(BAUD_115200);
	U0_printf("Mega16 EVM Test.\r\n");

	while(1)
	{
		if(U0_IsGetByte())
		{
			switch(U0_GetByte())
			{
				case '1':
					Led1On();
					U0_printf("LED1 On\r\n");
					break;
				
				case '2':
					Led1Off();
					U0_printf("LED1 Off\r\n");
					break;
			}
		}
	}

}
