//=============================================================================
// Atmega HAL
// by nexp76(nexp76@naver.com)
// [avr8_hal.h]
//=============================================================================

/*


*/



//-----------------------------------------------------------------------------
#include <avr/io.h>
#include <avr/signal.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#include <stdio.h>
#include <stdlib.h>


//-----------------------------------------------------------------------------
//SYSTEM Fuction Declaration
void SystemInit(void);
void Delay(unsigned int Time);


// Enter interrupt	
#define enable()  __asm__ __volatile__ ("sei" ::)
#define disable() __asm__ __volatile__ ("cli" ::)

#define _FLASH_						__attribute__ ((progmem))
#define FlashRead(Data)				pgm_read_byte(Data)
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
void Delay(unsigned int Time)
{
    int i, j;
    while(Time)
    {
        for(i=0;i<3;i++)
            for(j=0;j<30000;j++);

        Time--;
    }
}

void SystemInit(void)
{

}
//-----------------------------------------------------------------------------
